## org.apache.lucene.index
Class FieldInfo

    java.lang.Object
      org.apache.lucene.index.FieldInfo

    public final class FieldInfo

extends Object

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static class` `FieldInfo.IndexOptions` Controls how much information is stored in the postings lists.

Field Summary
`FieldInfo.IndexOptions` `indexOptions`
`boolean` `omitNorms`

Method Summary
`Object` `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### omitNorms

    public boolean omitNorms

### indexOptions

    public FieldInfo.IndexOptions indexOptions

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.